import { HttpClientTestingModule } from '@angular/common/http/testing';
import { CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { LayoutComponent } from '@msfa-shared/components/layout/layout.component';
import { SlutredovisningViewComponent } from './slutredovisning-view.component';
import { SlutredovisningViewService } from './slutredovisning-view.service';
import { ApmModule } from '@elastic/apm-rum-angular';

describe('GemensamPlaneringViewComponent', () => {
  let component: SlutredovisningViewComponent;
  let fixture: ComponentFixture<SlutredovisningViewComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      schemas: [CUSTOM_ELEMENTS_SCHEMA],
      declarations: [SlutredovisningViewComponent, LayoutComponent],
      imports: [RouterTestingModule, HttpClientTestingModule, ApmModule],
      providers: [SlutredovisningViewService],
    }).compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(SlutredovisningViewComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
